be.ehealth.technicalconnector.service.sts.security.impl

## Class KeyStoreCredential

- java.lang.Object
- - be.ehealth.technicalconnector.service.sts.security.impl.AbstractExtendedCredential
  - - be.ehealth.technicalconnector.service.sts.security.impl.KeyStoreCredential

- All Implemented Interfaces:
    Credential, ExtendedCredential

      public class KeyStoreCredential
      extends AbstractExtendedCredential

  The Class KeyStoreCredential. Implementation of `AbstractExtendedCredential`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `KeyStoreCredential.ThrowingSupplier<T>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyStoreCredential(KeyStoreInfo keyStoreInfo)` Instantiates a new key store credential.
    `KeyStoreCredential(KeyStore keystore, String alias, String password)`
    `KeyStoreCredential(String keystorePath, String alias, String password)` Instantiates a new key store credential.
    `KeyStoreCredential(String keystorePath, String pwdKeystore, String privateKeyAlias, String pwdPrivateKey)` Instantiates a new key store credential.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `X509Certificate` | `getCertificate()` Gets the certificate.
    `Certificate[]` | `getCertificateChain()` Gets the certificate chain
    `String` | `getIssuer()` Gets the issuer.
    `String` | `getIssuerQualifier()` Gets the issuer qualifier.
    `KeyStore` | `getKeyStore()` Gets the associated `KeyStore`
    `PrivateKey` | `getPrivateKey()` Gets the private key.
    `String` | `getProviderName()` Gets the keystore provider
    `PublicKey` | `getPublicKey()` Gets the public key.
    `static <T> T` | `loadIfNull(T currentValue, KeyStoreCredential.ThrowingSupplier<T> supplier, org.slf4j.Logger logger)`

    - ### Methods inherited from class be.ehealth.technicalconnector.service.sts.security.impl.AbstractExtendedCredential

      `getCertPath, getExpirationDateTime`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyStoreCredential

          public KeyStoreCredential(KeyStore keystore,
                                    String alias,
                                    String password)

    - #### KeyStoreCredential

          public KeyStoreCredential(KeyStoreInfo keyStoreInfo)
                             throws TechnicalConnectorException

      Instantiates a new key store credential.
      Parameters:
        `keyStoreInfo` - the key store info
      Throws:
        `TechnicalConnectorException` - the technical connector exception

    - #### KeyStoreCredential

          public KeyStoreCredential(String keystorePath,
                                    String alias,
                                    String password)
                             throws TechnicalConnectorException

      Instantiates a new key store credential.
      Parameters:
        `keystorePath` - the keystore path
        `alias` - the alias
        `password` - the password
      Throws:
        `TechnicalConnectorException` - the technical connector exception

    - #### KeyStoreCredential

          public KeyStoreCredential(String keystorePath,
                                    String pwdKeystore,
                                    String privateKeyAlias,
                                    String pwdPrivateKey)
                             throws TechnicalConnectorException

      Instantiates a new key store credential.
      Parameters:
        `keystorePath` - the keystore path
      Throws:
        `TechnicalConnectorException` - the technical connector exception

  - ### Method Detail

    - #### getIssuer

          public String getIssuer()

      Gets the issuer.
      Returns:
        the issuer

    - #### getIssuerQualifier

          public String getIssuerQualifier()

      Gets the issuer qualifier.
      Returns:
        the issuer qualifier

    - #### getPublicKey

          public PublicKey getPublicKey()

      Gets the public key.
      Returns:
        the public key

    - #### getPrivateKey

          public PrivateKey getPrivateKey()

      Gets the private key.
      Returns:
        the private key

    - #### getCertificate

          public X509Certificate getCertificate()

      Gets the certificate.
      Returns:
        the certificate

    - #### getProviderName

          public String getProviderName()

      Description copied from interface: `Credential`
      Gets the keystore provider

    - #### getCertificateChain

          public Certificate[] getCertificateChain()

      Description copied from interface: `Credential`
      Gets the certificate chain

    - #### getKeyStore

          public KeyStore getKeyStore()
                               throws TechnicalConnectorException

      Description copied from interface: `Credential`
      Gets the associated `KeyStore`
      Throws:
        `TechnicalConnectorException`

    - #### loadIfNull

          public static <T> T loadIfNull(T currentValue,
                                         KeyStoreCredential.ThrowingSupplier<T> supplier,
                                         org.slf4j.Logger logger)

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.